% Funzione che contiene i punti di partenza per il calcolo
% In particolare:
% - cYo rappresenta le coordinate Y di tutti i punti nodi imposte dal
% progetto per la correzione di offset;
% - cZo rappresenta le coordinate Z di tutti i punti nodi imposte dal
% progetto per la correzione di offset;

function [cYo,cZo,asseY_Rif_PCLHR,asseZ_Rif_PCLHR] = punti_noti_exe_PCLHR(...
    asseY_PCLHR,DatiElabPreConvLinkHR,FileName)

[~,cE] = size(DatiElabPreConvLinkHR);
[num,~] = size(asseY_PCLHR); 
cont = 5;
n = 2;
cYo = zeros(num+1,1);
cZo = zeros(num+1,1);

while cont<=cE    
      %% Y
      cYo(n,1) = cell2mat(DatiElabPreConvLinkHR(1,cont));
      %% Z
      cZo(n,1) = cell2mat(DatiElabPreConvLinkHR(1,cont+1));
      cont = cont+13;
      n = n+1;
end

asseY_Rif_PCLHR(:,1) = diff(cYo);
asseZ_Rif_PCLHR(:,1) = diff(cZo);

cYo = cYo(2:end)';
cZo = cZo(2:end)';

fileID = fopen(FileName,'a');
fmt = '%s \r';
text = 'punti_noti_exe_PCLHR function worked correctly';
fprintf(fileID,fmt,text);
fclose(fileID);

end
